Name:		ibus-sogoupycc
Summary:	Sogou Pinyin Cloud Client on ibus platform
Version:	0.2.5
Release:	%mkrel 17
Group:		System/Internationalization
License:	GPLv2
URL:		http://code.google.com/p/ibus-sogoupycc/
Source0:	http://ibus-sogoupycc.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		ibus-sogoupycc-0.2.5-default-use-sogoupy-schema.patch
Patch1:		ibus-sogoupycc-0.2.5-fix-dbus-build.patch
Patch2:		ibus-sogoupycc-0.2.5-fix-build-libnotify-0.7.patch
Patch3:		ibus-sogoupycc-0.2.5-link-thread.patch
Patch4:		ibus-sogoupycc-0.2.5-force-lua5.1.patch
Patch5:		ibus-sogoupycc-0.2.5-mga-nostrip.patch
BuildRequires:	pkgconfig(dbus-1) >= 1.2
BuildRequires:	pkgconfig(gdk-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.22
BuildRequires:	pkgconfig(gthread-2.0) >= 2.22
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(ibus-1.0) >= 1.2.0
BuildRequires:	pkgconfig(libnotify) >= 0.4
BuildRequires:	pkgconfig(lua) < 5.2
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	cmake
Requires:	ibus >= 1.2.0
Requires:	lua-socket
Requires:	lua5.1

%description
ibus-sogoupycc is an unoffical Sogou pinyin cloud client on ibus platform.
Features:
* double pinyin support: currently only support UCDOS style double pinyin
  scheme (slightly different from MSPY scheme)
* no preedit: always choose the default (1st) result
* non-blocking input: your input is not interrupted when waitting for
  server's responses.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_datadir}/ibus-sogoupycc
%{_datadir}/ibus/component/sogoupycc.xml


%changelog
* Thu Feb 13 2020 daviddavid <daviddavid> 0.2.5-17.mga8
+ Revision: 1513783
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 26 2018 umeabot <umeabot> 0.2.5-16.mga7
+ Revision: 1305922
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 0.2.5-15.mga6
+ Revision: 960650
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.2.5-14.mga6
+ Revision: 895207
- add patch nostrip to stop stripping binary (fix empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-13.mga5
+ Revision: 738822
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.2.5-12.mga5
+ Revision: 725080
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-11.mga5
+ Revision: 680420
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.5-10.mga4
+ Revision: 505961
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-9.mga3
+ Revision: 354081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 fwang <fwang> 0.2.5-8.mga3
+ Revision: 309415
- apply patch

* Tue Oct 23 2012 fwang <fwang> 0.2.5-7.mga3
+ Revision: 309384
- add patch
- requires lua5.1

* Tue Oct 23 2012 fwang <fwang> 0.2.5-6.mga3
+ Revision: 309379
- br lua5.1
- link thread
- cleanup spec
- use lua 5.1

* Sun Sep 25 2011 fwang <fwang> 0.2.5-6.mga2
+ Revision: 147640
- rebuild for new ibus

* Sun Jun 19 2011 ahmad <ahmad> 0.2.5-5.mga2
+ Revision: 109597
- Add a patch to fix build with libnotify-0.7

* Fri Mar 18 2011 tv <tv> 0.2.5-4.mga1
+ Revision: 73593
- imported package ibus-sogoupycc


* Sun Aug 08 2010 Funda Wang <fwang@mandriva.org> 0.2.5-4mdv2011.0
+ Revision: 567672
- default to use sogoupy as double pinyin schema
- fix build with latest dbus

* Mon Apr 26 2010 Funda Wang <fwang@mandriva.org> 0.2.5-3mdv2010.1
+ Revision: 538877
- rebuild for ibus 1.3

* Sun Apr 25 2010 Funda Wang <fwang@mandriva.org> 0.2.5-2mdv2010.1
+ Revision: 538603
- drop hard requries on lua executable

* Fri Apr 16 2010 Funda Wang <fwang@mandriva.org> 0.2.5-1mdv2010.1
+ Revision: 535308
- update to new version 0.2.5

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 0.2.4.20100401-2mdv2010.1
+ Revision: 533621
- New version 0.2.4.20100401

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 0.2.0.20100318-2mdv2010.1
+ Revision: 528586
- requires lua-socket

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 0.2.0.20100318-1mdv2010.1
+ Revision: 528561
- New version 0.2.0.20100318

* Mon Feb 15 2010 Funda Wang <fwang@mandriva.org> 0.0.1-0.svn21.2mdv2010.1
+ Revision: 506054
- New snapshot

* Thu Nov 12 2009 Funda Wang <fwang@mandriva.org> 0.0.1-0.svn18.2mdv2010.1
+ Revision: 465143
- fix else
- use shared_prefix
- use libexec

* Sat Nov 07 2009 Funda Wang <fwang@mandriva.org> 0.0.1-0.svn18.1mdv2010.1
+ Revision: 462399
- BR cmake
- import ibus-sogoupycc

